# Generated by Django 3.2.4 on 2021-07-01 17:20

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('timetable', '0002_remove_profile_rating'),
    ]

    operations = [
        migrations.AlterField(
            model_name='profile',
            name='group',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, to='timetable.group'),
        ),
        migrations.CreateModel(
            name='Mark',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('mark', models.IntegerField(blank=True, help_text='Оценка')),
                ('skip', models.BooleanField(help_text='Пропуск')),
                ('lesson', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='timetable.lesson')),
                ('person', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='timetable.profile')),
            ],
        ),
    ]
